Subject: Re: bug#45428: 27.1; (quote (quote (quote ...))) unexpectedly works as anonymous face

From: Stefan Kangas <[email-masked]>
Date: Sun, 27 Dec 2020 05:16:15 +0100

(Sorry if formatting is messed up as I'm replying from my phone.)

I think it makes sense to be forgiving here as this is something users will
commonly configure. As long as it doesn't give inconsistent results (which
doesn't seem to be the case) it is probably better to be liberal in what we
accept. Also, if we change it now, user configurations will break without
AFAICT a strong reason. So I'd tend to say keep what we have now.

IMO, we should still not document this just in case we find a strong reason
to change it later. But we could perhaps add a unit test for this with a
comment explaining why we try to accept this for the time being. Or we just
do nothing and close the bug as wontfix.

Just my two cents.